Critical error on updating to WooCommerce 4.4.0 on WordPress website

by | Aug 19, 2020 | News | 2 comments

Today WooCommerce released a plugin update pushing the version to 4.4.0.

Since the update, some users have reported that the update is causing some of their existing plugins and themes to break wherein upon updating, the following error is displayed:

There was a major error on your website. Please check the webmaster’s email box for instructions. Learn more about debugging in WordPress.

One of the plugins that were affected was WP Rocket, a popular caching and performance plugin. They sent out an email to their customers related to a possible conflict with WooCommerce 4.4.0 which they also have addressed on WP Rocket changelog.

Temporary Solution

At the time of publishing this post, WooCommerce hasn’t yet provided an update on the situation.

For now, the best solution is to roll-back/downgrade your WooCommerce plugin to version 4.3.3.

You can download WooCommerce version 4.3.3 here from the official WordPress plugin repository. Browse through the available WooCommerce versions if you’re looking to downgrade to a version below 4.3.3

Any questions? Drop it below and let’s have a discussion!

Have a nice day! 😎